# Open an Event
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/card-lifecycle/open-an-event/index.md

## Overview {#overview}

The use case describes the process to trigger an event in the CMS using a dedicated `openEvent` operation. For example, you can use the operation to assign a predefined value of the tariff configured during the onboarding process to the specified card contract. Refer to [Guides](https://developer.mastercard.com/mastercard-processing-core/documentation/guides/card-management-system/index.md) for more information about Tariffs.

## Sequence diagram {#sequence-diagram}

Diagram open-an-event

### Explanation {#explanation}

1. The server sends a `POST` request to the `/contracts/contract_id}/events` endpoint, passing the required `eventCode` field with the value preconfigured in the CMS during the onboarding process in the request body.
2. The API returns the HTTP status `200`.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/card-lifecycle-management/open-event/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `POST /contracts/{contract_id}/events`

